Web lists-archives.com

Re: Problem solved ([vlc] Qt4 plugin into Qt5 program)




René J.V. Bertin posted on Thu, 18 May 2017 11:42:54 +0200 as excerpted:

> On Thursday May 18 2017 10:20:10 John wrote:

>> Odd problem as I have heard that upstream kde prefer a vlc phonon back
>> end.
> 
> Indeed. Evidently KDE prefer the VLC backend; it doesn't require
> installing parts of Gnome/GTk ...

The preferred phonon backend has actually changed a number of times over 
the years.  The first preferred, basically the only one that worked at 
that point (early kde4, phonon-xine IIRC), AFAIK isn't even supported 
these days.  Then it was the phonon-vlc, then phonon-gstreamer, which 
FWIW I didn't think made sense either, but I think they did it because 
most distros are gtk/gnome based so have that installed anyway, and that 
avoids the vlc dep, then phonon-vlc again.

FWIW, the way I heard all this was because I run gentoo's live-git kde, 
from the gentoo/kde overlay.  Every time I update I check git log, and 
saw the gentoo/kde project folks discussing and ultimately switching the 
gentoo/kde USE flag default preference back and forth over time, based on 
which way upstream kde's wind was blowing (aka what they said they 
preferred) ATM.

Anyway, the gentoo-kde default is indeed phonon-vlc ATM, I just looked it 
up, and since they normally go with the upstream pref, that tends to 
corroborate phonon-vlc as the upstream kde pref, too.

-- 
Duncan - List replies preferred.   No HTML msgs.
"Every nonfree program has a lord, a master --
and if you use the program, he is your master."  Richard Stallman